** Summary changed:

- python3-libxml2
+ libxml2 for python3 is failing with undefined symbol: _PyVerify_fd

** Tags added: python3-libxml2

** Description changed:

  System Details:
  Description:  Ubuntu 17.10
  Release:      17.10
  
  python3-libxml2:
-   Installed: 2.9.4+dfsg1-4ubuntu1.2
-   Candidate: 2.9.4+dfsg1-4ubuntu1.2
-   Version table:
-  *** 2.9.4+dfsg1-4ubuntu1.2 500
-         500 http://br.archive.ubuntu.com/ubuntu artful-updates/main amd64 
Packages
-         500 http://security.ubuntu.com/ubuntu artful-security/main amd64 
Packages
-         100 /var/lib/dpkg/status
-      2.9.4+dfsg1-4ubuntu1 500
-         500 http://br.archive.ubuntu.com/ubuntu artful/main amd64 Packages
+   Installed: 2.9.4+dfsg1-4ubuntu1.2
+   Candidate: 2.9.4+dfsg1-4ubuntu1.2
+   Version table:
+  *** 2.9.4+dfsg1-4ubuntu1.2 500
+         500 http://br.archive.ubuntu.com/ubuntu artful-updates/main amd64 
Packages
+         500 http://security.ubuntu.com/ubuntu artful-security/main amd64 
Packages
+         100 /var/lib/dpkg/status
+      2.9.4+dfsg1-4ubuntu1 500
+         500 http://br.archive.ubuntu.com/ubuntu artful/main amd64 Packages
  
  I'm using a fresh Ubuntu 17.10 and I cannot import libxml2 using
  Python3.
  
- Python 3.6.3 (default, Oct  3 2017, 21:45:48) 
+ Python 3.6.3 (default, Oct  3 2017, 21:45:48)
  [GCC 7.2.0] on linux
  Type "help", "copyright", "credits" or "license" for more information.
  >>> import libxml2
  Traceback (most recent call last):
-   File "<stdin>", line 1, in <module>
-   File "/usr/lib/python3/dist-packages/libxml2.py", line 1, in <module>
-     import libxml2mod
+   File "<stdin>", line 1, in <module>
+   File "/usr/lib/python3/dist-packages/libxml2.py", line 1, in <module>
+     import libxml2mod
  ImportError: 
/usr/lib/python3/dist-packages/libxml2mod.cpython-36m-x86_64-linux-gnu.so: 
undefined symbol: _PyVerify_fd
  >>> quit()
  Segmentation fault (core dumped)
  
  There are some other related issues on Fedora and Debian.
  https://bugzilla.redhat.com/show_bug.cgi?id=1406920
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=878684
+ 
+ The possible solution was upgrade to a stable version as 2.9.7

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1751351

Title:
  libxml2 for python3 is failing with undefined symbol: _PyVerify_fd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libxml2/+bug/1751351/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Reply via email to